Bug 13741 - "No fund found" not translatable
Summary: "No fund found" not translatable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-20 16:09 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13741: "No fund found" is not translatable (1.21 KB, patch)
2015-02-21 19:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13741: "No fund found" is not translatable (1.28 KB, patch)
2015-02-24 04:46 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 13741: "No fund found" is not translatable (1.33 KB, patch)
2015-02-25 11:36 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-02-20 16:09:31 UTC
The message "no funds found" that appears on the fund page before you have funds defined

/ koha-tmpl / intranet-tmpl / prog / en / modules / admin / aqbudgets.tt
421 [% ELSE %]
422     No fund found
423 [% END %]

The problem might be that the text is not inside an HTML tag.
Comment 1 Katrin Fischer 2015-02-20 16:10:04 UTC
... is not translatable.
Comment 2 Katrin Fischer 2015-02-21 19:54:19 UTC Comment hidden (obsolete)
Comment 3 Brendan Gallagher 2015-02-24 04:46:54 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-02-25 11:36:02 UTC
Created attachment 36163 [details] [review]
Bug 13741: "No fund found" is not translatable

The string "No fund found" on the funds overview page is
not translatable.

To test:
- Create a new budget
- Check for the string on the funds page of the new budget
- Run an update on one of the po file sets
    cd misc/translator
    perl translate update <langcode>
- Verify that the string now appars in the po file for staff
- Verify the page still looks the same as before the patch

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Tomás Cohen Arazi 2015-03-02 15:42:32 UTC
Patch pushed to master.

Thanks Katrina!
Comment 6 Chris Cormack 2015-03-12 07:11:25 UTC
Pushed to 3.18.x will be in 3.18.5
Comment 7 Mason James 2015-03-26 02:13:05 UTC
Pushed to 3.16.x, will be in 3.16.9